Package org.codehaus.commons.compiler.util.reflect

# Class NoException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.codehaus.commons.compiler.util.reflect.NoException

All Implemented Interfaces:
  `Serializable`

public final class NoException extends RuntimeException
An exception that is never instantiated, and is useful for declaration of methods that throw a parameterized `Throwable`.

See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`